Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IApplicationViewDescriptor

All Superinterfaces:
  IDescriptor, INamespaceObject, Serializable

    public interface IApplicationViewDescriptor

extends INamespaceObject, IDescriptor, Serializable

Represents the metadata for an ApplicationView. For example its events, services, name, namespace, etc. All implementations of this interface should be Serializable, and allow for streaming to/from XML.

Nested Class Summary
`static interface` | `IApplicationViewDescriptor.IAdapterInstance` This interface defines an internal reference to an adapter instance from within an ApplicationView (acts something like an 'import').
`static interface` | `IApplicationViewDescriptor.IConnectionFactory` This interface defines an internal reference to a connection factory from within an ApplicationView (acts something like an 'import').

Method Summary
`IApplicationViewDescriptor.IAdapterInstance` | `addAdapterInstance(String aliasName, String name, String id, String adapterLogicalName, boolean owned)` Create a new internal reference type for an adapter instance.
`IApplicationViewDescriptor.IConnectionFactory` | `addConnectionFactory(String aliasName, String name, String adapterInstanceAliasName)` Create a new internal reference type for a connection factory.
`IEventDescriptor` | `addEvent(String eventName)` Add an event to this application view.
`IServiceDescriptor` | `addService(String serviceName)` Add a service to this application view.
`void` | `clear()` Clear all data (except the name/namespace) for this descriptor.
`boolean` | `eventExists(String name)` Indicates whether the event descriptor with the given name exists in this IApplicationViewDescriptor object.
`IApplicationViewDescriptor.IAdapterInstance` | `getAdapterInstance(String aliasName)` Get an internal reference type for an adapter instance.
`Set` | `getAdapterInstanceNames()` Get a unique set of adapter alias names being referenced by this ApplicationView for any purpose.
`IApplicationViewDescriptor.IConnectionFactory` | `getConnectionFactory(String aliasName)` Get an internal reference type for an connection factory.
`String` | `getDesignTimeAdapterInstanceName()` Get the alias name for the adapter instance that will be used for service invocation.
`String` | `getDesignTimeConnectionFactoryName()` Get the alias name for the connection factory that will be used at design-time to fulfill connection requests for the design-time user interface for the purposes of browsing an EIS instance while defining an ApplicationView.
`IEventDescriptor` | `getEvent(String name)` Gets the event descriptor with the given name from this IApplicationViewDescriptor object.
`String` | `getEventAdapterInstanceName()` Get the alias name for the adapter instance that will be used for event delivery.
`int` | `getEventCount()` Returns a count of events on this IApplicationViewDescriptor.
`IMutableVariableSet` | `getMutableVariableSet()` Get a mutable variable set object that can be used to define the variables this ApplicationView will use.
`IServiceDescriptor` | `getService(String name)` Gets the service descriptor with the given name from this IApplicationViewDescriptor object.
`String` | `getServiceAdapterInstanceName()` Get the alias name for the adapter instance that will be used for service invocation.
`String` | `getServiceConnectionFactoryName()` Get the alias name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.
`int` | `getServiceCount()` Returns a count of services on this IApplicationViewDescriptor.
`IVariableSet` | `getVariableSet()` Get a read-only variable set object describing the variables that have been defined for this ApplicationView.
`String` | `getVersion()` Get the version number for this descriptor.
`boolean` | `hasEvents()` Indicates whether this IApplicationViewDescriptor has any events within it.
`boolean` | `hasServices()` Indicates whether this IApplicationViewDescriptor has any services within it.
`boolean` | `isContainerManagedSignOnEnabled()` Determine if container-managed sign-on is enabled.
`Iterator` | `listAdapterInstanceAliasNames()` List the alias names of the internal references to adapter instances.
`Iterator` | `listConnectionFactoryAliasNames()` List the alias names of the internal references to aconnection factories.
`Iterator` | `listEventNames()` List the names of all events in this IApplicationViewDescriptor.
`Iterator` | `listEvents()` List all events in this IApplicationViewDescriptor.
`Iterator` | `listServiceNames()` List the names of all service descriptors in this IApplicationViewDescriptor.
`Iterator` | `listServices()` List all service descriptors in this IApplicationViewDescriptor.
`IApplicationViewDescriptor.IAdapterInstance` | `removeAdapterInstance(String aliasName)` Remove an internal reference type for an adapter instance.
`IApplicationViewDescriptor.IConnectionFactory` | `removeConnectionFactory(String aliasName)` Remove an internal reference type for an connection factory.
`IEventDescriptor` | `removeEvent(String name)` Removes the event descriptor with the given name from this IApplicationViewDescriptor object.
`IServiceDescriptor` | `removeService(String name)` Removes the service with the given name from this IApplicationViewDescriptor object.
`boolean` | `serviceExists(String name)` Indicates whether the service with the given name exists in this IApplicationViewDescriptor object.
`void` | `setContainerManagedSignOnEnabled(boolean enable)` Enable or disable container-managed sign-on.
`void` | `setDesignTimeConnectionFactoryName(String factoryName)` Set the alias name for the connection factory that will be used at design-time to fulfill connection requests for the design-time user interface for the purposes of browsing an EIS instance while defining an ApplicationView.
`void` | `setEventAdapterInstanceName(String adapterName)` Set the alias name of the adapter instance that will be used for event delivery.
`void` | `setServiceConnectionFactoryName(String factoryName)` Set the alias name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

Methods inherited from interface com.bea.wlai.common.INamespaceObject
`equals, getDescription, getLastUpdateTime, getName, getParentNamespace, getQualifiedName, setDescription, setName, setParentNamespace, syncLastUpdateTime, touch`

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML`

Method Detail

### getVersion

    String getVersion()

  Get the version number for this descriptor. The values returned are the WLAIConstants.VERSION_XXX constants.

### clear

    void clear()

  Clear all data (except the name/namespace) for this descriptor.

### hasEvents

    boolean hasEvents()

  Indicates whether this IApplicationViewDescriptor has any events within it.

  Returns:
    True if this descriptor contains any event descriptors, false otherwise.

### getEventCount

    int getEventCount()

  Returns a count of events on this IApplicationViewDescriptor.

  Returns:
    The number of events this descriptor contains.

### addEvent

    IEventDescriptor addEvent(String eventName)
                              throws IllegalArgumentException,
                                     DuplicateNameException

  Add an event to this application view. This method checks to ensure that no event already exists in this IApplicationViewDescriptor with the same name.

  Parameters:
    `eventName` - The name of the event to be added. Null is not allowed, and this event's name cannot match any event already in this IApplicationViewDescriptor instance.
  Returns:
    An IEventDescriptor representing the new event type added.
  Throws:
    `IllegalArgumentException` - If the event param is null.
    `DuplicateNameException` - If the event has the same name as an event that already exists in this IApplicationViewDescriptor object.

### removeEvent

    IEventDescriptor removeEvent(String name)

  Removes the event descriptor with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the event descriptor to remove.
  Returns:
    The IEventDescriptor object removed, or null if none was removed.

### eventExists

    boolean eventExists(String name)

  Indicates whether the event descriptor with the given name exists in this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the event descriptor to look for.
  Returns:
    True if an event descriptor of the given name exists, false otherwise.

### getEvent

    IEventDescriptor getEvent(String name)

  Gets the event descriptor with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the event descriptor to get.
  Returns:
    The IEventDescriptor object with the given name if it exists, null otherwise.

### listEvents

    Iterator listEvents()

  List all events in this IApplicationViewDescriptor.

  Returns:
    An iterator over all event descriptors (IEventDescriptor) in this IApplicationViewDescriptor.

### listEventNames

    Iterator listEventNames()

  List the names of all events in this IApplicationViewDescriptor.

  Returns:
    An iterator over all event descriptors names (String) in this IApplicationViewDescriptor.

### hasServices

    boolean hasServices()

  Indicates whether this IApplicationViewDescriptor has any services within it.

  Returns:
    True if this descriptor contains any service descriptors, false otherwise.

### getServiceCount

    int getServiceCount()

  Returns a count of services on this IApplicationViewDescriptor.

  Returns:
    The number of services this descriptor contains.

### addService

    IServiceDescriptor addService(String serviceName)
                                  throws IllegalArgumentException,
                                         DuplicateNameException

  Add a service to this application view. This method checks to ensure that no service already exists in this IApplicationViewDescriptor with the same name.

  Parameters:
    `serviceName` - The name of the service to add. Null is not allowed, and this service's name cannot match any service already in this IApplicationViewDescriptor instance.
  Returns:
    An IServiceDescriptor representing the new service just added.
  Throws:
    `IllegalArgumentException` - If the service param is null.
    `DuplicateNameException` - If the service has the same name as a service that already exists in this IApplicationViewDescriptor object.

### removeService

    IServiceDescriptor removeService(String name)

  Removes the service with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the service descriptor to remove.
  Returns:
    The IServiceDescriptor object removed, or null if none was removed.

### serviceExists

    boolean serviceExists(String name)

  Indicates whether the service with the given name exists in this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the service descriptor to look for.
  Returns:
    True if a service descriptor of the given name exists, false otherwise.

### getService

    IServiceDescriptor getService(String name)

  Gets the service descriptor with the given name from this IApplicationViewDescriptor object.

  Parameters:
    `name` - The name of the service descriptor to get.
  Returns:
    The IServiceDescriptor object with the given name if it exists, null otherwise.

### listServices

    Iterator listServices()

  List all service descriptors in this IApplicationViewDescriptor.

  Returns:
    An iterator over all service descriptors (IServiceDescriptor) in this IApplicationViewDescriptor.

### listServiceNames

    Iterator listServiceNames()

  List the names of all service descriptors in this IApplicationViewDescriptor.

  Returns:
    An iterator over all service descriptors names (String) in this IApplicationViewDescriptor.

### getEventAdapterInstanceName

    String getEventAdapterInstanceName()

  Get the alias name for the adapter instance that will be used for event delivery. At runtime ApplicationViews based off this IApplicationViewDescriptor will receive events from the named adapter instance.

  Returns:
    The alias name for the adapter instance used for events or null if none has been set.

### setEventAdapterInstanceName

    void setEventAdapterInstanceName(String adapterName)

  Set the alias name of the adapter instance that will be used for event delivery.

### getServiceAdapterInstanceName

    String getServiceAdapterInstanceName()

  Get the alias name for the adapter instance that will be used for service invocation.

### getServiceConnectionFactoryName

    String getServiceConnectionFactoryName()

  Get the alias name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Returns:
    The alias name of the ConnectionFactory or null if none has been set.

### setServiceConnectionFactoryName

    void setServiceConnectionFactoryName(String factoryName)

  Set the alias name for the connection factory that will be used at runtime to fulfill connection requests for ApplicationViews based off this IApplicationViewDescriptor.

  Parameters:
    `factoryName` - The alias name of the ConnectionFactory to use.

### getDesignTimeAdapterInstanceName

    String getDesignTimeAdapterInstanceName()

  Get the alias name for the adapter instance that will be used for service invocation.

### getDesignTimeConnectionFactoryName

    String getDesignTimeConnectionFactoryName()

  Get the alias name for the connection factory that will be used at design-time to fulfill connection requests for the design-time user interface for the purposes of browsing an EIS instance while defining an ApplicationView.

  Returns:
    The alias name of the ConnectionFactory or null if none has been set.

### setDesignTimeConnectionFactoryName

    void setDesignTimeConnectionFactoryName(String factoryName)

  Set the alias name for the connection factory that will be used at design-time to fulfill connection requests for the design-time user interface for the purposes of browsing an EIS instance while defining an ApplicationView.

  Parameters:
    `factoryName` - The alias name of the ConnectionFactory to use.

### getAdapterInstanceNames

    Set getAdapterInstanceNames()

  Get a unique set of adapter alias names being referenced by this ApplicationView for any purpose.

### addAdapterInstance

    IApplicationViewDescriptor.IAdapterInstance addAdapterInstance(String aliasName,
                                                                   String name,
                                                                   String id,
                                                                   String adapterLogicalName,
                                                                   boolean owned)
                                                                   throws DuplicateNameException

  Create a new internal reference type for an adapter instance. The returned object is immutable.

  Throws:
    `DuplicateNameException`

### getAdapterInstance

    IApplicationViewDescriptor.IAdapterInstance getAdapterInstance(String aliasName)

  Get an internal reference type for an adapter instance. The returned object is immutable.

### removeAdapterInstance

    IApplicationViewDescriptor.IAdapterInstance removeAdapterInstance(String aliasName)

  Remove an internal reference type for an adapter instance.

### listAdapterInstanceAliasNames

    Iterator listAdapterInstanceAliasNames()

  List the alias names of the internal references to adapter instances.

### addConnectionFactory

    IApplicationViewDescriptor.IConnectionFactory addConnectionFactory(String aliasName,
                                                                       String name,
                                                                       String adapterInstanceAliasName)
                                                                       throws DuplicateNameException,
                                                                              LookupException

  Create a new internal reference type for a connection factory. The returned object is immutable.

  Throws:
    `DuplicateNameException`
    `LookupException`

### getConnectionFactory

    IApplicationViewDescriptor.IConnectionFactory getConnectionFactory(String aliasName)

  Get an internal reference type for an connection factory. The returned object is immutable.

### removeConnectionFactory

    IApplicationViewDescriptor.IConnectionFactory removeConnectionFactory(String aliasName)

  Remove an internal reference type for an connection factory.

### listConnectionFactoryAliasNames

    Iterator listConnectionFactoryAliasNames()

  List the alias names of the internal references to aconnection factories.

### getMutableVariableSet

    IMutableVariableSet getMutableVariableSet()

  Get a mutable variable set object that can be used to define the variables this ApplicationView will use. If no variables have been defined for this ApplicationView, a new variable set object will be created.

### getVariableSet

    IVariableSet getVariableSet()

  Get a read-only variable set object describing the variables that have been defined for this ApplicationView. If no variables have been defined for this ApplicationView, null is returned.

### setContainerManagedSignOnEnabled

    void setContainerManagedSignOnEnabled(boolean enable)

  Enable or disable container-managed sign-on. This feature allows an app server principal to be mapped by the adapter for this ApplicationView to a corresponding EIS principal. This feature is disabled by default. If this feature is enabled, the principal map (if any) attached to the connection factory being used for service invocations will be used to map app server principal to EIS principal.

### isContainerManagedSignOnEnabled

    boolean isContainerManagedSignOnEnabled()

  Determine if container-managed sign-on is enabled.

  See Also:
    `setContainerManagedSignOnEnabled(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD